Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects
Class SBROverWrite

    java.lang.Object
      com.sun.mdm.index.objects.ObjectNode
          com.sun.mdm.index.objects.SBROverWrite

All Implemented Interfaces:
  java.io.Externalizable, java.io.Serializable

public class SBROverWrite
extends ObjectNode

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sun.mdm.index.objects.ObjectNode
`indexMap, mChildrenHashMap, mChildTags, mFields, mParent, mParentTag, mPartOfIndex, mPosition, mTag, mVersion, serialVersionUID`

Constructor Summary
`SBROverWrite()` Creates new potentialDuplicate
`SBROverWrite(java.lang.String path, java.lang.Object data)`

Method Summary
`ObjectNode` | `copy()`
`java.lang.Object` | `getData()`
`java.lang.String` | `getEPath()` get epath string
`java.lang.String` | `getFieldType()`
`java.lang.String` | `getPath()`
`void` | `setData(java.lang.Object data)`
`void` | `setPath(java.lang.String path)`
`ObjectNode` | `structCopy()`

Methods inherited from class com.sun.mdm.index.objects.ObjectNode
`add, addChild, addChildHard, addChildNoFlagSet, addChildren, addChildToTypeArrayList, clearChildrenForType, clearField, createChildIndex, deleteChild, deleteChild, deleteChild, equals, equals, getAllChildrenFromHashMap, getChild, getChild, getChild, getChild, getChildKey, getChildrenForType, getChildSuperKey, getField, getFieldTypes, getFlag, getObjectId, getParent, getParentTag, getValue, getValueObject, hasFieldReadAccess, hasFieldUpdateAccess, hashCode, hasObjectAddAccess, hasObjectDeleteAccess, hasObjectReadAccess, hasObjectUpdateAccess, isAdded, isChanged, isKeyChanged, isKeyIndexable, isKeyType, isKeyValid, isNew, isNull, isNullable, isRegularKeyIndexable, isRemoved, isSearched, isUpdated, isVisible, obtainKey, obtainSuperKey, pGetChildren, pGetChildren, pGetChildTags, pGetFieldNames, pGetFields, pGetFieldUpdateLogs, pGetFieldValues, pGetFlagString, pGetKey, pGetSuperKey, pGetTag, pGetType, pGetType, readExternal, recalculateIndex, removeChild, removeChild, removeChildForType, removeChildIndex, removeChildren, removeChildren, reset, resetAll, setAddFlag, setChanged, setFieldReadAccess, setFieldUpdateAccess, setFieldUpdateLogs, setFlag, setKey, setKeyChangeFlag, setKeyType, setNull, setNullable, setObjectAddAccess, setObjectDeleteAccess, setObjectReadAccess, setObjectUpdateAccess, setParent, setRemoveFlag, setSearched, setUpdateFlag, setValue, setVisible, toString, unChange, update, updateChild, updateIfChanged, updateIfNotEqual, updateIfNotNull, updateIfNotNull, writeExternal`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SBROverWrite

    public SBROverWrite()
                 throws ObjectException

  Creates new potentialDuplicate

  Throws:
    `ObjectException` - object exception

### SBROverWrite

    public SBROverWrite(java.lang.String path,
                        java.lang.Object data)
                 throws ObjectException

  Parameters:
    `path` - EPath
    `data` - value
  Throws:
    `ObjectException` - object exception

Method Detail

### copy

    public ObjectNode copy()
                    throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode deep copy

  Overrides:
    `copy` in class `ObjectNode`
  Returns:
    ObjectNode copy
  Throws:
    `ObjectException` - object exception

### getData

    public java.lang.Object getData()
                             throws ObjectException

  Returns:
    String value
  Throws:
    `ObjectException` - object exception

### getEPath

    public java.lang.String getEPath()
                              throws ObjectException

  get epath string

  Returns:
    String epath string
  Throws:
    `ObjectException` - object exception

### getFieldType

    public java.lang.String getFieldType()
                                  throws ObjectException

  Returns:
    String field type
  Throws:
    `ObjectException` - object exception

### getPath

    public java.lang.String getPath()
                             throws ObjectException

  Returns:
    String path
  Throws:
    `ObjectException` - object exception

### setData

    public void setData(java.lang.Object data)
                 throws ObjectException

  Parameters:
    `data` - Data
  Throws:
    `ObjectException` - object exception

### setPath

    public void setPath(java.lang.String path)
                 throws ObjectException

  Parameters:
    `path` - Path
  Throws:
    `ObjectException` - object exception

### structCopy

    public ObjectNode structCopy()
                          throws ObjectException

  Description copied from class: `ObjectNode`
  ObjectNode structural copy

  Overrides:
    `structCopy` in class `ObjectNode`
  Returns:
    ObjectNode structure copy
  Throws:
    `ObjectException` - object exception

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.